<!-- 
This README describes the package. If you publish this package to pub.dev,
this README's contents appear on the landing page for your package.

For information about how to write a good package README, see the guide for
[writing package pages](https://dart.dev/guides/libraries/writing-package-pages). 

For general information about developing packages, see the Dart guide for
[creating packages](https://dart.dev/guides/libraries/create-library-packages)
and the Flutter guide for
[developing packages and plugins](https://flutter.dev/developing-packages). 
-->


## Features
The Calculus package lets you calculate one-sided limits, derivatives, integrals, slopes & more.

## Getting started
To add the package into your project, use the following command

```

flutter pub add calculus

```

## Usage

```dart

  Calculus.left(number, function);

  Calculus.right(number, function);

  Calculus.limit(number, function);

  Calculus.infinity(number, function);

  Calculus.derivative(number, function);

  Calculus.derivativeNth(number, function);

  Calculus.integral(min, max, function, intervals);

  Calculus.slope(x1, y1, x2, y2);

```

## Additional information
The package is actively maintained and safe to use in a production environment.
<br>


